import type { App } from '@vuepress/core';
import type { UseNetlifyFunctionPluginsOptions } from '../shared/index.js';
interface UseNetlifyFunctionResult {
    /**
     * functions 请求前缀
     */
    proxyPrefix: string;
    /**
     * 在 插件的 onPrepare 钩子中调用，监听 当前插件的 functions 目录
     */
    preparePluginFunctions: () => void;
    /**
     * 在 插件的 onGenerate 钩子中调用，将 当前插件的 functions 文件推送到 dest中
     */
    generatePluginFunctions: () => void;
}
export declare const useNetlifyFunctionsPlugin: (app: App, options: UseNetlifyFunctionPluginsOptions) => UseNetlifyFunctionResult;
export {};
